> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chargeexpressltd.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload a driver photo

> Requires the `drivers:write` scope.



## OpenAPI

````yaml /api-reference/openapi.json post /drivers/{driverId}/photo
openapi: 3.1.0
info:
  title: ChargeExpress Fleet API
  version: v1
  description: >-
    Manage your fleet’s drivers, vehicles, limits, charging and wallet, and
    receive webhooks.


    Scopes: `fleet:read` (Read the fleet, drivers, vehicles, sessions, wallet,
    invoices and events); `drivers:write` (Create, update, suspend and remove
    drivers); `vehicles:write` (Create, update and retire vehicles);
    `limits:write` (Change fleet and driver charging limits); `wallet:write`
    (Fund the wallet, pay usage invoices and set the low-balance alert);
    `webhooks:write` (Manage webhook endpoints and redeliver events).
servers:
  - url: https://partners.chargeexpressltd.com/api/public/v1
    description: Production
  - url: https://stage.partners.chargeexpressltd.com/api/public/v1
    description: Stage
security:
  - apiKey: []
paths:
  /drivers/{driverId}/photo:
    post:
      tags:
        - Drivers
      summary: Upload a driver photo
      description: Requires the `drivers:write` scope.
      operationId: uploadDriverPhoto
      parameters:
        - schema:
            type: string
          required: true
          name: driverId
          in: path
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                photo:
                  type: string
                  format: binary
                  description: JPG, PNG or WebP, up to 5 MB
              required:
                - photo
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Driver'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The key lacks the scope this request needs
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Conflict with the current state
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKey: []
components:
  schemas:
    Driver:
      type: object
      properties:
        object:
          type: string
          enum:
            - driver
        id:
          type: string
        status:
          type: string
          enum:
            - active
            - suspended
            - pending
            - archived
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        email:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        employee_id:
          type:
            - string
            - 'null'
        license_number:
          type:
            - string
            - 'null'
        license_expires_at:
          type:
            - string
            - 'null'
          format: date
        photo_url:
          type:
            - string
            - 'null'
        vehicle_ids:
          type: array
          items:
            type: string
        profile:
          type:
            - object
            - 'null'
          additionalProperties: {}
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - object
        - id
        - status
        - first_name
        - last_name
        - email
        - phone
        - employee_id
        - license_number
        - license_expires_at
        - photo_url
        - vehicle_ids
        - profile
        - created_at
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - authentication_error
                - permission_error
                - invalid_request_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Your fleet API key, e.g. `Authorization: Bearer cxk_live_…`. Create keys
        in the fleet portal under Developers.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.